Package org.eclipse.ecf.remoteservice.servlet

# Class ObjectSerializationParameterDeserializer

java.lang.Object
org.eclipse.ecf.remoteservice.util.ObjectSerializationUtil
org.eclipse.ecf.remoteservice.servlet.ObjectSerializationParameterDeserializer

All Implemented Interfaces:
  `IRemoteCallParameterDeserializer`

public class ObjectSerializationParameterDeserializer extends ObjectSerializationUtil implements IRemoteCallParameterDeserializer

## Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.util.ObjectSerializationUtil

`DEFAULT_BAOS_BUFFER_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`ObjectSerializationParameterDeserializer()`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`deserializeParameters(javax.servlet.http.HttpServletRequest req)`
Deserialize parameters from HttpServletRequest.

### Methods inherited from class org.eclipse.ecf.remoteservice.util.ObjectSerializationUtil

`deserializeFromBytes, readToByteArray, serializeToBytes, writeByteArray`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectSerializationParameterDeserializer

public ObjectSerializationParameterDeserializer()

## Method Details

### deserializeParameters

public Object[] deserializeParameters(javax.servlet.http.HttpServletRequest req) throws IOException, javax.servlet.ServletException
Description copied from interface: `IRemoteCallParameterDeserializer`
Deserialize parameters from HttpServletRequest.

Specified by:
  `deserializeParameters` in interface `IRemoteCallParameterDeserializer`
Parameters:
  `req` - the HttpServletRequest. Will not be `null`.
Returns:
  Object[] the deserialized parameters.
Throws:
  `IOException` - if parameters cannot be deserialized
  `javax.servlet.ServletException` - if parameters cannot be deserialized